#!/usr/bin/python
# -*- coding: <UTF-8> -*-

"""
Python Version : 3.6

$LastChangedRevision: 3049 $
$LastChangedDate:: 2020-04-29 15:33:07 +0200#$

This file is part of SyMSpace.

Copyright (c) 2020, Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
All rights reserved.
"""

if __name__ == '__main__':
    """
    This script collects the information of all components
        
    Commandline Arguments
    ---------------------
            
    --startDir : str
        The search for component starts from this directory (Optional).
        Default is the ComponentSpace root directory.
                       
                    
    Examples
    --------
    
    >>> CSyMSpace.exe collect_info.py
    >>> CSyMSpace.exe collect_info.py --startDir "C:\\ComponentSpace\\Simulation\\Motor"
    >>> CSyMSpace.exe collect_info.py --startDir "C:\\ComponentSpace\\Simulation\\Motor"

    """

    from componentspace.component_management import ComponentManager

    manager = ComponentManager.fromCMDParser()
    # manager.refactorPackages({'lcm_motorbox.geometry': 'lcm_geometry'})
    manager.collectInfo()
